# Rust API client for tower-api

REST API to interact with Tower Services.

For more information, please visit [https://tower.dev](https://tower.dev)

## Overview

This API client was generated by the [OpenAPI Generator](https://openapi-generator.tech) project.  By using the [openapi-spec](https://openapis.org) from a remote server, you can easily generate an API client.

- API version: v0.4.3
- Package version: 1.0.0
- Generator version: 7.12.0-SNAPSHOT
- Build package: `org.openapitools.codegen.languages.RustClientCodegen`

## Installation

Put the package under your project folder in a directory named `tower-api` and add the following to `Cargo.toml` under `[dependencies]`:

```
tower-api = { path = "./tower-api" }
```

## Documentation for API Endpoints

All URIs are relative to *https://api.tower.dev/v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**accept_invitation**](docs/DefaultApi.md#accept_invitation) | **POST** /accounts/invite | Accept an invitation code
*DefaultApi* | [**cancel_run**](docs/DefaultApi.md#cancel_run) | **POST** /apps/{name}/runs/{seq} | Cancel run
*DefaultApi* | [**claim_device_login_ticket**](docs/DefaultApi.md#claim_device_login_ticket) | **POST** /login/device/claim | Claim a device login ticket
*DefaultApi* | [**create_account**](docs/DefaultApi.md#create_account) | **POST** /accounts | Create account
*DefaultApi* | [**create_api_key**](docs/DefaultApi.md#create_api_key) | **POST** /api-keys | Create API Key
*DefaultApi* | [**create_apps**](docs/DefaultApi.md#create_apps) | **POST** /apps | Create app
*DefaultApi* | [**create_catalog**](docs/DefaultApi.md#create_catalog) | **POST** /catalogs | Create catalog
*DefaultApi* | [**create_device_login_ticket**](docs/DefaultApi.md#create_device_login_ticket) | **GET** /login/device | Create a device login ticket
*DefaultApi* | [**create_secret**](docs/DefaultApi.md#create_secret) | **POST** /secrets | Create secret
*DefaultApi* | [**create_session**](docs/DefaultApi.md#create_session) | **POST** /session | Create session
*DefaultApi* | [**create_team**](docs/DefaultApi.md#create_team) | **POST** /teams | Create Team
*DefaultApi* | [**delete_api_key**](docs/DefaultApi.md#delete_api_key) | **DELETE** /api-keys | Delete API Key
*DefaultApi* | [**delete_app**](docs/DefaultApi.md#delete_app) | **DELETE** /apps/{name} | Delete app
*DefaultApi* | [**delete_catalog**](docs/DefaultApi.md#delete_catalog) | **DELETE** /catalogs/{slug} | Delete catalog
*DefaultApi* | [**delete_secret**](docs/DefaultApi.md#delete_secret) | **DELETE** /secrets/{name} | Delete a secret.
*DefaultApi* | [**delete_team**](docs/DefaultApi.md#delete_team) | **DELETE** /teams | Delete Team
*DefaultApi* | [**delete_team_invitation**](docs/DefaultApi.md#delete_team_invitation) | **DELETE** /teams/{slug}/invites | Delete Team Invitation
*DefaultApi* | [**deploy_app**](docs/DefaultApi.md#deploy_app) | **POST** /apps/{name}/deploy | Deploy app
*DefaultApi* | [**describe_app**](docs/DefaultApi.md#describe_app) | **GET** /apps/{name} | Describe app
*DefaultApi* | [**describe_app_version**](docs/DefaultApi.md#describe_app_version) | **GET** /apps/{name}/versions/{num} | Describe app version
*DefaultApi* | [**describe_device_login_session**](docs/DefaultApi.md#describe_device_login_session) | **GET** /login/device/{device_code} | Describe device login session
*DefaultApi* | [**describe_run**](docs/DefaultApi.md#describe_run) | **GET** /apps/{name}/runs/{seq} | Describe run
*DefaultApi* | [**describe_secrets_key**](docs/DefaultApi.md#describe_secrets_key) | **GET** /secrets/key | Describe encryption key
*DefaultApi* | [**describe_session**](docs/DefaultApi.md#describe_session) | **GET** /session | Describe session
*DefaultApi* | [**export_secrets**](docs/DefaultApi.md#export_secrets) | **GET** /secrets/export | Export secrets
*DefaultApi* | [**generate_app_statistics**](docs/DefaultApi.md#generate_app_statistics) | **GET** /stats/apps | Generate app statistics
*DefaultApi* | [**generate_run_statistics**](docs/DefaultApi.md#generate_run_statistics) | **GET** /stats/runs | Generate run statistics
*DefaultApi* | [**get_app_run_logs**](docs/DefaultApi.md#get_app_run_logs) | **GET** /apps/{name}/runs/{seq}/logs | Get logs for a specific app run.
*DefaultApi* | [**invite_team_member**](docs/DefaultApi.md#invite_team_member) | **POST** /teams/{slug}/invites | Invite Team Member
*DefaultApi* | [**leave_team**](docs/DefaultApi.md#leave_team) | **POST** /teams/{slug}/leave | Leave Team
*DefaultApi* | [**list_api_keys**](docs/DefaultApi.md#list_api_keys) | **GET** /api-keys | List API Keys
*DefaultApi* | [**list_app_environments**](docs/DefaultApi.md#list_app_environments) | **GET** /apps/{name}/environments | List app environments
*DefaultApi* | [**list_app_versions**](docs/DefaultApi.md#list_app_versions) | **GET** /apps/{name}/versions | List app versions
*DefaultApi* | [**list_apps**](docs/DefaultApi.md#list_apps) | **GET** /apps | List apps
*DefaultApi* | [**list_catalogs**](docs/DefaultApi.md#list_catalogs) | **GET** /catalogs | List catalogs
*DefaultApi* | [**list_my_team_invitations**](docs/DefaultApi.md#list_my_team_invitations) | **GET** /team-invites | List My Team Invitations
*DefaultApi* | [**list_runs**](docs/DefaultApi.md#list_runs) | **GET** /apps/{name}/runs | List runs
*DefaultApi* | [**list_secret_environments**](docs/DefaultApi.md#list_secret_environments) | **GET** /secrets/environments | List secret environments
*DefaultApi* | [**list_secrets**](docs/DefaultApi.md#list_secrets) | **GET** /secrets | List secrets
*DefaultApi* | [**list_team_invitations**](docs/DefaultApi.md#list_team_invitations) | **GET** /teams/{slug}/invites | List Team Invitations
*DefaultApi* | [**list_team_members**](docs/DefaultApi.md#list_team_members) | **GET** /teams/{slug}/members | List Team Members
*DefaultApi* | [**list_teams**](docs/DefaultApi.md#list_teams) | **GET** /teams | List Teams
*DefaultApi* | [**refresh_session**](docs/DefaultApi.md#refresh_session) | **POST** /session/refresh | Refresh session
*DefaultApi* | [**remove_team_member**](docs/DefaultApi.md#remove_team_member) | **DELETE** /teams/{slug}/members | Remove Team Member
*DefaultApi* | [**resend_team_invitation**](docs/DefaultApi.md#resend_team_invitation) | **POST** /teams/{slug}/invites/resend | Resend Team Invitation
*DefaultApi* | [**run_app**](docs/DefaultApi.md#run_app) | **POST** /apps/{name}/runs | Run app
*DefaultApi* | [**stream_app_run_logs**](docs/DefaultApi.md#stream_app_run_logs) | **GET** /apps/{name}/runs/{seq}/logs/stream | Stream logs for a specific app run
*DefaultApi* | [**update_account_slug**](docs/DefaultApi.md#update_account_slug) | **PUT** /accounts/{slug} | Update account slug
*DefaultApi* | [**update_catalog**](docs/DefaultApi.md#update_catalog) | **PUT** /catalogs/{slug} | Update catalog
*DefaultApi* | [**update_my_team_invitation**](docs/DefaultApi.md#update_my_team_invitation) | **PUT** /team-invites | Update My Team Invitation
*DefaultApi* | [**update_secret**](docs/DefaultApi.md#update_secret) | **PUT** /secrets/{name} | Update secret
*DefaultApi* | [**update_team**](docs/DefaultApi.md#update_team) | **PUT** /teams/{slug} | Update Team
*DefaultApi* | [**update_user**](docs/DefaultApi.md#update_user) | **PUT** /user | Update user profile


## Documentation For Models

 - [AcceptInvitationParams](docs/AcceptInvitationParams.md)
 - [AcceptInvitationResponse](docs/AcceptInvitationResponse.md)
 - [Account](docs/Account.md)
 - [ApiKey](docs/ApiKey.md)
 - [App](docs/App.md)
 - [AppStatistics](docs/AppStatistics.md)
 - [AppSummary](docs/AppSummary.md)
 - [AppVersion](docs/AppVersion.md)
 - [CancelRunResponse](docs/CancelRunResponse.md)
 - [Catalog](docs/Catalog.md)
 - [CatalogProperty](docs/CatalogProperty.md)
 - [ClaimDeviceLoginTicketParams](docs/ClaimDeviceLoginTicketParams.md)
 - [ClaimDeviceLoginTicketResponse](docs/ClaimDeviceLoginTicketResponse.md)
 - [CreateAccountParams](docs/CreateAccountParams.md)
 - [CreateAccountParamsFlagsStruct](docs/CreateAccountParamsFlagsStruct.md)
 - [CreateAccountResponse](docs/CreateAccountResponse.md)
 - [CreateApiKeyParams](docs/CreateApiKeyParams.md)
 - [CreateApiKeyResponse](docs/CreateApiKeyResponse.md)
 - [CreateAppParams](docs/CreateAppParams.md)
 - [CreateAppResponse](docs/CreateAppResponse.md)
 - [CreateCatalogParams](docs/CreateCatalogParams.md)
 - [CreateCatalogResponse](docs/CreateCatalogResponse.md)
 - [CreateDeviceLoginTicketResponse](docs/CreateDeviceLoginTicketResponse.md)
 - [CreateSecretParams](docs/CreateSecretParams.md)
 - [CreateSecretResponse](docs/CreateSecretResponse.md)
 - [CreateSessionParams](docs/CreateSessionParams.md)
 - [CreateSessionResponse](docs/CreateSessionResponse.md)
 - [CreateTeamParams](docs/CreateTeamParams.md)
 - [CreateTeamResponse](docs/CreateTeamResponse.md)
 - [DeleteApiKeyParams](docs/DeleteApiKeyParams.md)
 - [DeleteApiKeyResponse](docs/DeleteApiKeyResponse.md)
 - [DeleteAppResponse](docs/DeleteAppResponse.md)
 - [DeleteCatalogResponse](docs/DeleteCatalogResponse.md)
 - [DeleteTeamInvitationParams](docs/DeleteTeamInvitationParams.md)
 - [DeleteTeamInvitationResponse](docs/DeleteTeamInvitationResponse.md)
 - [DeleteTeamParams](docs/DeleteTeamParams.md)
 - [DeleteTeamResponse](docs/DeleteTeamResponse.md)
 - [DeployAppResponse](docs/DeployAppResponse.md)
 - [DescribeAppResponse](docs/DescribeAppResponse.md)
 - [DescribeAppVersionResponse](docs/DescribeAppVersionResponse.md)
 - [DescribeDeviceLoginSessionResponse](docs/DescribeDeviceLoginSessionResponse.md)
 - [DescribeRunResponse](docs/DescribeRunResponse.md)
 - [DescribeSecretsKeyResponse](docs/DescribeSecretsKeyResponse.md)
 - [DescribeSessionResponse](docs/DescribeSessionResponse.md)
 - [EncryptedCatalogProperty](docs/EncryptedCatalogProperty.md)
 - [ErrorDetail](docs/ErrorDetail.md)
 - [ErrorModel](docs/ErrorModel.md)
 - [ExportSecretsResponse](docs/ExportSecretsResponse.md)
 - [ExportUserSecretsParams](docs/ExportUserSecretsParams.md)
 - [ExportedSecret](docs/ExportedSecret.md)
 - [GenerateAppStatisticsResponse](docs/GenerateAppStatisticsResponse.md)
 - [GenerateRunStatisticsResponse](docs/GenerateRunStatisticsResponse.md)
 - [GetRunLogLine](docs/GetRunLogLine.md)
 - [GetRunLogsOutputBody](docs/GetRunLogsOutputBody.md)
 - [InviteTeamMemberParams](docs/InviteTeamMemberParams.md)
 - [InviteTeamMemberResponse](docs/InviteTeamMemberResponse.md)
 - [LeaveTeamResponse](docs/LeaveTeamResponse.md)
 - [ListApiKeysResponse](docs/ListApiKeysResponse.md)
 - [ListAppEnvironmentsResponse](docs/ListAppEnvironmentsResponse.md)
 - [ListAppVersionsResponse](docs/ListAppVersionsResponse.md)
 - [ListAppsResponse](docs/ListAppsResponse.md)
 - [ListCatalogsResponse](docs/ListCatalogsResponse.md)
 - [ListMyTeamInvitationsResponse](docs/ListMyTeamInvitationsResponse.md)
 - [ListRunsResponse](docs/ListRunsResponse.md)
 - [ListSecretEnvironmentsResponse](docs/ListSecretEnvironmentsResponse.md)
 - [ListSecretsResponse](docs/ListSecretsResponse.md)
 - [ListTeamInvitationsResponse](docs/ListTeamInvitationsResponse.md)
 - [ListTeamMembersResponse](docs/ListTeamMembersResponse.md)
 - [ListTeamsResponse](docs/ListTeamsResponse.md)
 - [LogLine](docs/LogLine.md)
 - [LogLineError](docs/LogLineError.md)
 - [Pagination](docs/Pagination.md)
 - [Parameter](docs/Parameter.md)
 - [RefreshSessionParams](docs/RefreshSessionParams.md)
 - [RefreshSessionResponse](docs/RefreshSessionResponse.md)
 - [RemoveTeamMemberParams](docs/RemoveTeamMemberParams.md)
 - [RemoveTeamMemberResponse](docs/RemoveTeamMemberResponse.md)
 - [ResendTeamInvitationParams](docs/ResendTeamInvitationParams.md)
 - [ResendTeamInvitationResponse](docs/ResendTeamInvitationResponse.md)
 - [Run](docs/Run.md)
 - [RunAppParams](docs/RunAppParams.md)
 - [RunAppResponse](docs/RunAppResponse.md)
 - [RunResults](docs/RunResults.md)
 - [RunStatistics](docs/RunStatistics.md)
 - [Secret](docs/Secret.md)
 - [SeriesPoint](docs/SeriesPoint.md)
 - [Session](docs/Session.md)
 - [StatisticsSettings](docs/StatisticsSettings.md)
 - [StreamAppRunLogs200ResponseInner](docs/StreamAppRunLogs200ResponseInner.md)
 - [Team](docs/Team.md)
 - [TeamInvitation](docs/TeamInvitation.md)
 - [Token](docs/Token.md)
 - [UpdateAccountSlugParams](docs/UpdateAccountSlugParams.md)
 - [UpdateAccountSlugResponse](docs/UpdateAccountSlugResponse.md)
 - [UpdateCatalogParams](docs/UpdateCatalogParams.md)
 - [UpdateCatalogResponse](docs/UpdateCatalogResponse.md)
 - [UpdateMyTeamInvitationParams](docs/UpdateMyTeamInvitationParams.md)
 - [UpdateMyTeamInvitationResponse](docs/UpdateMyTeamInvitationResponse.md)
 - [UpdateSecretParams](docs/UpdateSecretParams.md)
 - [UpdateSecretResponse](docs/UpdateSecretResponse.md)
 - [UpdateTeamParams](docs/UpdateTeamParams.md)
 - [UpdateTeamResponse](docs/UpdateTeamResponse.md)
 - [UpdateUserParams](docs/UpdateUserParams.md)
 - [UpdateUserResponse](docs/UpdateUserResponse.md)
 - [User](docs/User.md)


To get access to the crate's generated documentation, use:

```
cargo doc --open
```

## Author

hello@tower.dev

